Bug 660183 - clone -B (branch) option breaks git url
Summary: clone -B (branch) option breaks git url
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 01:40 UTC by Curtis Doty
Modified: 2013-01-10 06:22 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.5.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-08 22:55:57 UTC


Attachments (Terms of Use)

Description Curtis Doty 2010-12-06 01:40:21 UTC
http://lists.fedoraproject.org/pipermail/devel/2010-December/146671.html

Without the patch from Ricky, the git branch cannot be anonymously updated from upstream with git-pull.

Comment 1 Curtis Doty 2010-12-08 23:19:23 UTC
FYI the patch works. And until that patch is merged, if you ever clone a branched package, you'll need to run this on each branch:

git remote set-url origin git://pkgs.fedoraproject.org/foo

Comment 2 Jesse Keating 2010-12-08 23:44:16 UTC
Thanks for the patch.

I have been planning on re-doing the whole -B logic to mimic what /usr/share/doc/git-*/contrib/workdir/git-new-workdir does, as it seems to do things better than we currently do in fedpkg.  Not sure if I'll do that instead of taking this patch or not.

Comment 3 Curtis Doty 2010-12-10 03:44:38 UTC
Tangentially related...

It appears if you install fedpkg on a CentOS 5 system via EPEL, it doesn't like the logic:

+ fedpkg clone -a -B dropwatch
Initialized empty Git repository in /home/curtis/src/fedora/PKGS/dropwatch/fedpkg.git/
remote: Counting objects: 87, done.
remote: Compressing objects: 100% (46/46), done.
remote: Total 87 (delta 34), reused 87 (delta 34)
Receiving objects: 100% (87/87), 9.37 KiB, done.
Resolving deltas: 100% (34/34), done.
Could not clone: Could not locally clone f10/master from /home/curtis/src/fedora/PKGS/dropwatch/fedpkg.git: 'git clone --branch f10/master /home/curtis/src/fedora/PKGS/dropwatch/fedpkg.git f10' returned exit status 129: error: unknown option `branch'

Upgrading git from 1.5.5.6-4.el5 to 1.7.3-1.el5.rf (via rpmforge) solved.

Comment 4 Jesse Keating 2010-12-10 18:26:14 UTC
There is another bug about --branch not being a viable option on EL5's version of git.

Comment 5 Jesse Keating 2011-01-21 22:36:11 UTC
Patch applied, this will be fixed in the next build of fedora-packager.

Comment 6 Fedora Update System 2011-01-31 20:36:16 UTC
fedora-packager-0.5.3.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc14

Comment 7 Fedora Update System 2011-01-31 21:01:54 UTC
fedora-packager-0.5.3.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.fc13

Comment 8 Fedora Update System 2011-01-31 21:28:12 UTC
fedora-packager-0.5.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el6

Comment 9 Fedora Update System 2011-01-31 22:48:56 UTC
fedora-packager-0.5.3.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 10 Fedora Update System 2011-02-01 17:06:54 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fedora-packager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fedora-packager-0.5.3.0-1.el5

Comment 11 Fedora Update System 2011-02-08 22:55:18 UTC
fedora-packager-0.5.3.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-02-09 17:25:47 UTC
fedora-packager-0.5.3.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-09 20:17:51 UTC
fedora-packager-0.5.3.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-02-10 22:41:11 UTC
fedora-packager-0.5.5.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-1.el6

Comment 15 Fedora Update System 2011-02-21 22:54:11 UTC
fedora-packager-0.5.5.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.5.0-2.el6

Comment 16 Fedora Update System 2011-02-28 23:57:43 UTC
fedora-packager-0.5.5.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.